package com.yh.saas.plugin.servicer.enums;
import lombok.Getter;

/**
 * 服务商状态
 * 
 * @author yul
 *
 */
public enum ServicerStatusEnum {
	
	// 服务商状态
	REFUSED("0", "已退回，待完善", "Backed to perfect", ""),
	WAIT_SUBMIT("1", "待提交", "Wait submit"),
	WAITSUBMIT_2("2", "待申请人确认并提交审核", "Wait applicater confirm and submit", ""),
	SUBMITED("3", "待审核", "Have submit", "已提交"),
	COMPLETED("5", "已审核通过", "Completed", ""),
	
	// 服务商启用状态
	ENABLED("1", "已启用", "enabled"),
	NOT_ENABLED("0", "不启用", "not enabled");
	
	@Getter
	private String flag;

	@Getter
	private String name;

	@Getter
	private String nameEn;

	@Getter
	private String description;
	private ServicerStatusEnum(String flag, String name, String nameEn) {
		this.flag = flag;
		this.name = name;
		this.nameEn = nameEn;
	}
	
	private ServicerStatusEnum(String flag, String name, String nameEn, String description) {
		this.flag = flag;
		this.name = name;
		this.nameEn = nameEn;
		this.description = description;
	}

	@Override
	public String toString() {
		return "[" + this.flag + "]" + this.name + "_" + this.nameEn;
	}
}
